## tde-i18n-trinity 14.0.6

=== tde-i18n-bn/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-bn )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== tde-i18n-cs/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-cs )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_DATA "Build data" ${BUILD_ALL} )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_DOC docs )
tde_conditional_add_subdirectory( BUILD_DATA data )
tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== tde-i18n-da/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-da )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_DATA "Build data" ${BUILD_ALL} )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_DOC docs )
tde_conditional_add_subdirectory( BUILD_DATA data )
tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== tde-i18n-el/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-el )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== tde-i18n-et/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-et )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_DATA "Build data" ${BUILD_ALL} )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_DOC docs )
tde_conditional_add_subdirectory( BUILD_DATA data )
tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== tde-i18n-fy/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-fy )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== tde-i18n-ga/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-ga )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_DATA "Build data" ${BUILD_ALL} )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_DATA data )
tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== tde-i18n-gl/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-gl )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== tde-i18n-hi/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-hi )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== tde-i18n-hr/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-hr )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_DOC docs )
tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== tde-i18n-hu/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-hu )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_DATA "Build data" ${BUILD_ALL} )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_DOC docs )
tde_conditional_add_subdirectory( BUILD_DATA data )
tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== tde-i18n-it/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev (Fat-Zer)
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tde-i18n-it )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### find required stuff #######################

include( FindGettext )
if( GETTEXT_FOUND )
  set( DEFAULT_MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} )
else( GETTEXE_FOUND )
  find_program( DEFAULT_MSGFMT_EXECUTABLE msgfmt )
endif( GETTEXT_FOUND )

set( MSGFMT_EXECUTABLE ${DEFAULT_MSGFMT_EXECUTABLE} CACHE FILEPATH
		"path to msgfmt executable" )

if( NOT MSGFMT_EXECUTABLE )
  tde_message_fatal( "msgfmt is required but was not found on your system or defined" )
endif( NOT MSGFMT_EXECUTABLE )

find_package( TDE )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_DATA "Build data" ${BUILD_ALL} )
option( BUILD_MESSAGES "Build message and GUI translation" ${BUILD_ALL} )


###### subdirectories ###########################

tde_conditional_add_subdirectory( BUILD_DOC docs )
tde_conditional_add_subdirectory( BUILD_DATA data )
tde_conditional_add_subdirectory( BUILD_MESSAGES messages )

=== debian/changelog ===
tde-i18n-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2019 03:28:05 +0100

=== debian/control ===
Source: tde-i18n-trinity
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev, gawk, bzip2, perl, automake, autoconf, libtool, libltdl-dev
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
Standards-Version: 3.8.4

Package: tde-i18n-af-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-af-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-af-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Afrikaans (af) internationalized (i18n) files for TDE
 This package contains the Afrikaans internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-ar-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-ar-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-ar-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Arabic (ar) internationalized (i18n) files for TDE
 This package contains the Arabic internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-az-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-az-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-az-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Azerbaijani (az) internationalized (i18n) files for TDE
 This package contains the Azerbaijani internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-be-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-be-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-be-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Belarusian (be) internationalized (i18n) files for TDE
 This package contains the Belarusian internationalized (i18n) files
 for all TDE core applications.

Package: tde-i18n-bg-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-bg-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-bg-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Bulgarian (bg) internationalized (i18n) files for TDE
 This package contains the Bulgarian internationalized (i18n) files
 for all TDE core applications.

Package: tde-i18n-bn-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-bn-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-bn-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Bengali (bn) internationalized (i18n) files for TDE
 This package contains the Bengali internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-br-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-br-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-br-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Breton (br) internationalized (i18n) files for TDE
 This package contains the Breton internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-bs-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-bs-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-bs-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Bosnian (bs) internationalized (i18n) files for TDE
 This package contains the Bosnian internationalized (i18n) files for
 all TDE core applications.
 
Package: tde-i18n-ca-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-ca-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-ca-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Catalan (ca) internationalized (i18n) files for TDE
 This package contains the Catalan internationalized (i18n) files for
 all TDE core applications.
 
Package: tde-i18n-cs-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-cs-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-cs-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Czech (cs) internationalized (i18n) files for TDE
 This package contains the Czech internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-csb-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-csb-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-csb-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Kashubian (csb) internationalized (i18n) files for TDE
 This package contains the Kashubian internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-cy-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-cy-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-cy-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Welsh (cy) internationalized (i18n) files for TDE
 This package contains the Welsh internationalized (i18n) files for
 all TDE core applications.
 
Package: tde-i18n-da-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-da-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-da-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Danish (da) internationalized (i18n) files for TDE
 This package contains the Danish internationalized (i18n) files for
 all TDE core applications.
 
Package: tde-i18n-de-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-de-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-de-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: German (de) internationalized (i18n) files for TDE
 This package contains the German internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-el-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-el-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-el-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Greek (el) internationalized (i18n) files for TDE
 This package contains the greek internationalized (i18n) files for
 all TDE core applications.
 
Package: tde-i18n-engb-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-engb-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-engb-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: British English (en_GB) internationalized (i18n) files for TDE
 This package contains the British English (en_GB) internationalized
 (i18n) files for all TDE core applications.

Package: tde-i18n-eo-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-eo-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-eo-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Esperanto (eo) internationalized (i18n) files for TDE
 This package contains the Esperanto (eo) internationalized
 (i18n) files for all TDE core applications.
 
Package: tde-i18n-es-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-es-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-es-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Spanish (es) internationalized (i18n) files for TDE
 This package contains the Spanish internationalized (i18n) files for
 all TDE core applications.
 
Package: tde-i18n-et-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-et-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-et-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Estonian (et) internationalized (i18n) files for TDE
 This package contains the Estonian internationalized (i18n) files
 for all TDE core applications.
 
Package: tde-i18n-eu-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-eu-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-eu-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Basque (eu) internationalized (i18n) files for TDE
 This package contains the Basque internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-fa-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-fa-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-fa-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Farsi (Persian) (fa) internationalized (i18n) files for TDE
 This package contains the Farsi (Persian) internationalized (i18n) files for
 all TDE core applications.
 
Package: tde-i18n-fi-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-fi-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-fi-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Finnish (fi) internationalized (i18n) files for TDE
 This package contains the Finnish internationalized (i18n) files for
 all TDE core applications.
 
Package: tde-i18n-fr-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-fr-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-fr-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: French (fr) internationalized (i18n) files for TDE
 This package contains the French internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-fy-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-fy-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-fy-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Frisian (fy) internationalized (i18n) files for TDE
 This package contains the Frisian internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-ga-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-ga-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-ga-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Irish Gaelic (ga) internationalized (i18n) files for TDE
 This package contains the Irish Gaelic internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-gl-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-gl-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-gl-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Galician (gl) internationalized (i18n) files for TDE
 This package contains the Galician internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-he-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-he-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-he-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Hebrew (he) internationalized (i18n) files for TDE
 This package contains the Hebrew internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-hi-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-hi-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-hi-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Hindi (hi) internationalized (i18n) files for TDE
 This package contains the Hindi internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-hr-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-hr-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-hr-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Croatian (hr) internationalized (i18n) files for TDE
 This package contains the Croatian internationalized (i18n) files for
 all TDE core applications.

Package: tde-i18n-hu-trinity
Architecture: all
Section: tde
Replaces: kde-i18n-hu-trinity (<< 4:14.0.0~)
Breaks: kde-i18n-hu-trinity (<< 4:14.0.0~)
Depends: tdelibs14-trinity
Suggests: tde-trinity
Provides: tde-i18n-trinity
Description: Hungarian (hu) internationalized (i18n) files for TDE

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

I18N_DIR_PREFIX := tde-i18n
I18N_DEST_PREFIX := $(I18N_DIR_PREFIX)
I18N_DIR_PAT := $(I18N_DIR_PREFIX)-%
I18N_DIRS := $(wildcard $(I18N_DIR_PREFIX)-*)

# Stamps and support variables
cur_lang = $(word 2,$(subst __, ,$@))
cur_lang_dir = $(patsubst %,$(I18N_DIR_PREFIX)-%,$(cur_lang))
cur_pkg = $(I18N_DEST_PREFIX)-$(cur_lang)

STAMP_BUILD := $(patsubst $(I18N_DIR_PAT),debian/stamp__%__build,$(I18N_DIRS))
I18N_INSTALL := $(patsubst $(I18N_DIR_PAT),install__%,$(I18N_DIRS))
I18N_CLEAN := $(patsubst $(I18N_DIR_PAT),clean__%,$(I18N_DIRS))

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
DEB_MAKE_PARALLEL ?= $(and $(DEB_BUILD_PARALLEL),$(DEB_PARALLEL_JOBS),-j$(DEB_PARALLEL_JOBS))

configkde=\
 --disable-rpath \
 --prefix=$(DEB_CONFIGURE_PREFIX) \
 --sysconfdir=/etc \
 --includedir=$(DEB_CONFIGURE_INCLUDEDIR) \
 --infodir=$(DEB_CONFIGURE_INFODIR) \
 --mandir=$(DEB_CONFIGURE_MANDIR)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DBUILD_ALL="ON"

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)


build::
	dh_testdir

build:: $(STAMP_BUILD)

$(STAMP_BUILD):
	# Building the '$(cur_lang)' language ...
	[ -d $(cur_lang_dir)/build ] || mkdir $(cur_lang_dir)/build
	if [ ! -e $(cur_lang_dir)/CMakeLists.txt ]; then \
	    ([ -e $(cur_lang_dir)/admin ] || ln -s ../admin $(cur_lang_dir)) && \
	    cd $(cur_lang_dir) && \
	    autoreconf && automake -f && \
	    $(MAKE) -f ../admin/Makefile.common && \
	    cd build && \
	    ../configure --build=build $(configkde) && \
	    $(MAKE) $(DEB_MAKE_PARALLEL); \
	fi
	if [ -e $(cur_lang_dir)/CMakeLists.txt ]; then \
	    ([ -e $(cur_lang_dir)/cmake ] || ln -s ../cmake $(cur_lang_dir)) && \
	    cd $(cur_lang_dir)/build && \
	    cmake .. $(DEB_CMAKE_EXTRA_FLAGS) && \
	    $(MAKE) $(DEB_MAKE_PARALLEL); \
	fi
	touch $@


install::
	dh_testdir
	dh_testroot
	dh_clean -k

install:: $(I18N_INSTALL)
	# copying the non 2 letter languages into the correct directory
	mkdir debian/$(I18N_DEST_PREFIX)-engb-trinity
	cp -aR debian/$(I18N_DEST_PREFIX)-en_GB-trinity/* debian/$(I18N_DEST_PREFIX)-engb-trinity/
	mkdir debian/$(I18N_DEST_PREFIX)-ptbr-trinity
	cp -aR debian/$(I18N_DEST_PREFIX)-pt_BR-trinity/* debian/$(I18N_DEST_PREFIX)-ptbr-trinity/
	mkdir debian/$(I18N_DEST_PREFIX)-srlatin-trinity
	cp -aR debian/$(I18N_DEST_PREFIX)-sr@Latn-trinity/* debian/$(I18N_DEST_PREFIX)-srlatin-trinity/
	mkdir debian/$(I18N_DEST_PREFIX)-zhcn-trinity
	cp -aR debian/$(I18N_DEST_PREFIX)-zh_CN-trinity/* debian/$(I18N_DEST_PREFIX)-zhcn-trinity/
	mkdir debian/$(I18N_DEST_PREFIX)-zhtw-trinity
	cp -aR debian/$(I18N_DEST_PREFIX)-zh_TW-trinity/* debian/$(I18N_DEST_PREFIX)-zhtw-trinity/

$(I18N_INSTALL):
	cd $(cur_lang_dir)/build && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(cur_pkg)-trinity $(DEB_MAKE_PARALLEL)


clean: $(I18N_CLEAN) debian-clean

$(I18N_CLEAN):
	dh_testdir
	rm -rf $(cur_lang_dir)/build

debian-clean:
	dh_testdir
	rm -rf debian/$(I18N_DEST_PREFIX)-*
	rm -f debian/stamp__*
	dh_clean


binary-arch: build
	dh_testroot
	dh_testdir


binary-indep: build install
	dh_testroot
	dh_testdir
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_strip
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)


# Below here is fairly generic really
binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean build install $(I18N_INSTALL)

## tde-i18n-trinity 14.0.8

=== debian/changelog ===
tde-i18n-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Apr 2020 23:00:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
+
+DEB_BUILD_PARALLEL ?= true
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -91,7 +93,7 @@
 	mkdir debian/$(I18N_DEST_PREFIX)-zhtw-trinity
 	cp -aR debian/$(I18N_DEST_PREFIX)-zh_TW-trinity/* debian/$(I18N_DEST_PREFIX)-zhtw-trinity/
 
-$(I18N_INSTALL):
+$(I18N_INSTALL): build
 	cd $(cur_lang_dir)/build && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(cur_pkg)-trinity $(DEB_MAKE_PARALLEL)

## tde-i18n-trinity 14.0.9

=== debian/changelog ===
tde-i18n-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 30 Oct 2020 16:58:55 +0100

## tde-i18n-trinity 14.0.10

=== debian/changelog ===
tde-i18n-trinity (4:14.0.10-1romi18n) wheezy; urgency=low

  * Applying tde-i18n-uk.patch

 -- Roman Savochenko <roman@oscada.org>  Sun, 17 Nov 2025 20:00:00 +0200

tde-i18n-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Apr 2021 15:35:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tde-i18n-trinity
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev, gawk, bzip2, perl, automake, autoconf, libtool, libltdl-dev
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tde-i18n-af-trinity
@@ -222,6 +222,16 @@
  This package contains the Spanish internationalized (i18n) files for
  all TDE core applications.
  
+Package: tde-i18n-esar-trinity
+Architecture: all
+Section: tde
+Depends: tdelibs14-trinity
+Suggests: tde-trinity
+Provides: tde-i18n-trinity
+Description: Spanish (Argentina) (es_AR) internationalized (i18n) files for TDE
+ This package contains the Spanish (Argentina) internationalized (i18n) files for
+ all TDE core applications.
+ 
 Package: tde-i18n-et-trinity
 Architecture: all
 Section: tde
@@ -356,10 +366,3 @@
 
 Package: tde-i18n-hu-trinity
 Architecture: all
-Section: tde
-Replaces: kde-i18n-hu-trinity (<< 4:14.0.0~)
-Breaks: kde-i18n-hu-trinity (<< 4:14.0.0~)
-Depends: tdelibs14-trinity
-Suggests: tde-trinity
-Provides: tde-i18n-trinity
-Description: Hungarian (hu) internationalized (i18n) files for TDE

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

I18N_DIR_PREFIX := tde-i18n
I18N_DEST_PREFIX := $(I18N_DIR_PREFIX)
I18N_DIR_PAT := $(I18N_DIR_PREFIX)-%
I18N_DIRS := $(wildcard $(I18N_DIR_PREFIX)-*)

# Stamps and support variables
cur_lang = $(word 2,$(subst __, ,$@))
cur_lang_dir = $(patsubst %,$(I18N_DIR_PREFIX)-%,$(cur_lang))
cur_pkg_lang = $(subst _,,$(subst @,,$(subst @latn,latin,$(shell echo $(cur_lang) | tr '[:upper:]' '[:lower:]'))))
cur_pkg = $(I18N_DEST_PREFIX)-$(cur_pkg_lang)-trinity

STAMP_BUILD := $(patsubst $(I18N_DIR_PAT),debian/stamp__%__build,$(I18N_DIRS))
I18N_INSTALL := $(patsubst $(I18N_DIR_PAT),install__%,$(I18N_DIRS))
I18N_CLEAN := $(patsubst $(I18N_DIR_PAT),clean__%,$(I18N_DIRS))

DEB_BUILD_PARALLEL ?= true

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
DEB_MAKE_PARALLEL ?= $(and $(DEB_BUILD_PARALLEL),$(DEB_PARALLEL_JOBS),-j$(DEB_PARALLEL_JOBS))

# The default gzip compressor has been changed in dpkg >= 1.17.0.
deb_default_compress = $(shell LANG=C dpkg-deb --version | head -n1 | \
                         sed -e "s|.*version ||" -e "s| .*||" | \
                         xargs -r dpkg --compare-versions 1.17.0 lt \
                         && echo xz || echo gzip)
ifeq ($(deb_default_compress),gzip)
DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)
endif

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DBUILD_ALL="ON"


build::
	dh_testdir
	dh_prep

build:: $(STAMP_BUILD)

$(STAMP_BUILD):
	# Building the '$(cur_lang)' language ...
	[ -d $(cur_lang_dir)/build ] || \
	mkdir $(cur_lang_dir)/build
	[ -e $(cur_lang_dir)/cmake ] || \
	ln -s ../cmake $(cur_lang_dir)
	[ -e $(cur_lang_dir)/CMakeLists.txt ] || \
	ln -s ../template/commonCMakeLists.txt $(cur_lang_dir)/CMakeLists.txt
	cd $(cur_lang_dir)/build && \
	cmake .. $(DEB_CMAKE_EXTRA_FLAGS) && \
	$(MAKE) $(DEB_MAKE_PARALLEL)
	touch $@


install::
	dh_testdir
	dh_testroot

install:: $(I18N_INSTALL)

$(I18N_INSTALL): build
	cd $(cur_lang_dir)/build && \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(cur_pkg) $(DEB_MAKE_PARALLEL)


clean: $(I18N_CLEAN) debian-clean

$(I18N_CLEAN):
	dh_testdir
	rm -rf $(cur_lang_dir)/build

debian-clean:
	dh_testdir
	rm -rf debian/$(I18N_DEST_PREFIX)-*
	rm -f debian/stamp__*
	dh_clean


binary-arch: build
	dh_testroot
	dh_testdir


binary-indep: build install
	dh_testroot
	dh_testdir
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_strip
	$(if $(wildcard /usr/bin/dh_strip_nondeterminism),\
	dh_strip_nondeterminism)
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)


# Below here is fairly generic really
binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean build install $(I18N_INSTALL)

## tde-i18n-trinity 14.0.11

=== debian/changelog ===
tde-i18n-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tde-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 28 Oct 2021 23:33:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 # Stamps and support variables
 cur_lang = $(word 2,$(subst __, ,$@))
+cur_lang_target = $(subst @,_,$(cur_lang))
 cur_lang_dir = $(patsubst %,$(I18N_DIR_PREFIX)-%,$(cur_lang))
 cur_pkg_lang = $(subst _,,$(subst @,,$(subst @latn,latin,$(shell echo $(cur_lang) | tr '[:upper:]' '[:lower:]'))))
 cur_pkg = $(I18N_DEST_PREFIX)-$(cur_pkg_lang)-trinity
@@ -24,6 +25,13 @@
 	DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 DEB_MAKE_PARALLEL ?= $(and $(DEB_BUILD_PARALLEL),$(DEB_PARALLEL_JOBS),-j$(DEB_PARALLEL_JOBS))
+
+ifneq "$(wildcard /usr/bin/ninja)" ""
+MAKE = ninja -v
+DEB_MAKE_ENVVARS += DESTDIR=$(DEB_DESTDIR)
+DEB_MAKE_INSTALL_TARGET = install
+DEB_CMAKE_NORMAL_ARGS += -GNinja
+endif
 
 # The default gzip compressor has been changed in dpkg >= 1.17.0.
 deb_default_compress = $(shell LANG=C dpkg-deb --version | head -n1 | \
@@ -49,32 +57,65 @@
 	dh_testdir
 	dh_prep
 
+ifneq "$(wildcard /usr/bin/ninja)" ""
+
+build:: debian/stamp__build
+
+debian/stamp__build:
+	[ -d build ] || \
+	mkdir build
+	cd build && \
+	cmake .. $(DEB_CMAKE_NORMAL_ARGS) $(DEB_CMAKE_EXTRA_FLAGS) && \
+	$(MAKE) $(DEB_MAKE_PARALLEL)
+	touch $@
+
+else
+
 build:: $(STAMP_BUILD)
 
 $(STAMP_BUILD):
 	# Building the '$(cur_lang)' language ...
 	[ -d $(cur_lang_dir)/build ] || \
 	mkdir $(cur_lang_dir)/build
-	[ -e $(cur_lang_dir)/cmake ] || \
-	ln -s ../cmake $(cur_lang_dir)
 	[ -e $(cur_lang_dir)/CMakeLists.txt ] || \
 	ln -s ../template/commonCMakeLists.txt $(cur_lang_dir)/CMakeLists.txt
 	cd $(cur_lang_dir)/build && \
-	cmake .. $(DEB_CMAKE_EXTRA_FLAGS) && \
+	cmake .. $(DEB_CMAKE_NORMAL_ARGS) $(DEB_CMAKE_EXTRA_FLAGS) && \
 	$(MAKE) $(DEB_MAKE_PARALLEL)
 	touch $@
 
+endif
 
 install::
 	dh_testdir
 	dh_testroot
 
 install:: $(I18N_INSTALL)
+	dh_testdir
+	cat debian/control-source > debian/control
+	find debian -name "control-lang-*" | LANG=C sort | xargs -r cat >> debian/control
 
 $(I18N_INSTALL): build
+ifneq "$(wildcard /usr/bin/ninja)" ""
+	[ ! -e $(cur_lang_dir)/CMakeLists.txt ] || \
+	DESTDIR=$(CURDIR)/debian/$(cur_pkg) $(MAKE) -C build install-$(cur_lang_target)
+else
 	cd $(cur_lang_dir)/build && \
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(cur_pkg) $(DEB_MAKE_PARALLEL)
+	DESTDIR=$(CURDIR)/debian/$(cur_pkg) $(MAKE) install $(DEB_MAKE_PARALLEL)
+endif
+	if [ -e $(cur_lang_dir)/messages/entry.desktop ]; then \
+	    lang_desc=$$(sed -n "s|^Name=||p" $(cur_lang_dir)/messages/entry.desktop); \
+	    sed -e "s|@lang@|$(cur_lang)|g" \
+	        -e "s|@pkg_lang@|$(cur_pkg_lang)|g" \
+	        -e "s|@lang_desc@|$$lang_desc|" \
+	        < debian/control-lang > debian/control-lang-$(cur_pkg_lang); \
+	fi
 
+ifneq "$(wildcard /usr/bin/ninja)" ""
+
+clean: debian-clean
+
+else
 
 clean: $(I18N_CLEAN) debian-clean
 
@@ -82,10 +123,19 @@
 	dh_testdir
 	rm -rf $(cur_lang_dir)/build
 
+endif
+
 debian-clean:
 	dh_testdir
+	rm -rf build
 	rm -rf debian/$(I18N_DEST_PREFIX)-*
 	rm -f debian/stamp__*
+	rm -f debian/control-lang-*
+	cat debian/control-source > debian/control
+	sed -e "s|@lang@|all|g" \
+	    -e "s|-@pkg_lang@||g" \
+	    -e "s|@lang_desc@|All languages|" \
+	    < debian/control-lang >> debian/control
 	dh_clean

## tde-i18n-trinity 14.0.12

=== debian/changelog ===
tde-i18n-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tde-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 28 Apr 2022 23:32:10 +0200

## tde-i18n-trinity 14.0.13

=== debian/changelog ===
tde-i18n-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tde-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Oct 2022 23:28:13 +0200

## tde-i18n-trinity 14.1.0

=== debian/changelog ===
tde-i18n-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tde-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Apr 2023 19:55:39 +0200
